* {
  padding: 0px;
  margin: 0px;
  box-sizing: border-box;
}

:root {
  --font-main: "Saira Condensed", "Oswald", sans-serif;
  --base-color: #000000;
  --base-color-variant: #9929ea;
  --headtext-color: #cc66da;
  --text-color: #faeb92;
  --overlay-main: rgba(0, 0, 0, 0.4);      
  --overlay-soft: rgba(0, 0, 0, 0.2);     
  --gradient-primary: rgba( 0, 0, 0, 0.9);
  --gradient-start: rgba(56, 56, 56, 0.5); 
  --gradient-end: rgba(0, 0, 0, 0.4);
}

/* LightMode */

.lightmode {
  --base-color: #fdf9f0;
  --base-color-variant: #9929ea;
  --headtext-color: #cc66da;
  --text-color: #1f1633;
  --overlay-main: rgba(255, 255, 255, 0.01);  
  --overlay-soft: rgba(255, 255, 255, 0.25);
  --gradient-primary: rgba(253, 249, 240);   
  --gradient-start: rgba(31, 22, 51, 0.35);        
  --gradient-end: rgba(99, 41, 138, 0.28);
}
.lightmode header::before, footer::before {
  content: "";
  position: absolute;
  inset: 0;
  background-color: var(--overlay-main);
  z-index: 0;
}

header *, footer * {
  position: relative;
  z-index: 2;
}
body {
  background-color: var(--base-color);
}

header {
  background:
    radial-gradient(circle, var(--gradient-start) 0%, var(--gradient-end) 100%),
    url(navback.png);
  background-size: cover;
  background-position: center;
  min-height: 650px;
  position: relative;
}

header * {
  position: relative;
}

/* Navbar */
nav {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  width: 90%;
  max-width: 1200px;
  margin: auto;
}

.navlogo {
  font-size: 35px;
  font-weight: bolder;
  font-family: var(--font-main);
  color: var(--base-color-variant);
  display: inline-block;
  transform: perspective(500px) rotateX(20deg);
  letter-spacing: 3px;
}

#theme-switch{
  height: 50px;
  width: 50px;
  border-radius: 50%;
  background-color: var(--base-color-variant);
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  top: 20px;
  right: 20px;
  font-size: 1.5rem;
  border: none;
  cursor: pointer;
}

#theme-switch i {
  display: none;
}

body:not(.lightmode) #theme-switch i:first-child {
  display: block;
}

.lightmode #theme-switch i:last-child {
  display: block;
}

.start {
  text-decoration: none;
  background-color: var(--base-color-variant);
  color: var(--text-color);
  font-family: var(--font-main);
  font-size: 1.5rem;
  padding: 7px 10px;
  border-radius: 4px;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Hero Section */
.hero-sec {
  padding: 100px 0;
  display: flex;
  flex-direction: column;
  gap: 20px;
  justify-content: center;
  align-items: center;
  text-align: center;
}
.hero-sec h1 {
  height: auto;
  width: 90%;
  max-width: 800px;
  margin: auto;
  font-family: var(--font-main);
  font-size: clamp(2rem, 8vw, 3.5rem);
  line-height: 1.2;
  text-align: center;
  color: white;
}

.hero-sec p {
  max-width: 600px;
  width: 90%;
  font-family: var(--font-main);
  font-size: 1.2rem;
  color: white;
}

.hero-signin {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 15px;
  width: 90%;
  margin: auto;
}

.hero-signin input {
  border: 1px solid white;
  border-radius: 4px;
  font-family: var(--font-main);
  font-size: 1rem;
  padding: 25px;
  height: 20px;
  width: 100%;
  max-width: 400px;
  color: var(--text-color);
  background-color: transparent;
}
.hero-signin input::placeholder {
  color: white;
  font-family: var(--font-main);
  font-size: 1.1rem;
  opacity: 0.6;
}

.hero-start {
  text-decoration: none;
  background-color: var(--base-color-variant);
  color: var(--text-color);
  font-family: var(--font-main);
  font-size: 1.5rem;
  padding: 7px 10px;
  border-radius: 4px;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
}
/* About Section */

.about{
    margin-top: 100px;
}

.about img{
  width: 100%;
  max-width: 400px; 
  height: auto; 
  border-radius: 10px;
}

.about h2{
    font-family: var(--font-main);
    font-size: 2.5rem;
    text-align: center;
    color: var(--headtext-color);
}

.about-me{
    display: flex;
    flex-direction: column-reverse;
    justify-content: space-between;
    align-items: stretch;
    gap: 2rem;
    width: 90%;
    margin: auto;
}


.abt-content{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: stretch;
}
.abt-content p{
    font-family: var(--font-main);
    font-size: 1.2rem;
    text-align: center;
    color: var(--text-color);
}

.abt-icon{
    margin-top: calc(100% - 95%);
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}
.abt-icon i{
    color: var(--base-color-variant);
    font-size: 5rem;
    transition: 0.3s ease;
}

.abt-icon i:hover {
  filter: drop-shadow(0 0 2px #cc66da);
  transform: scale(1.1);
  cursor: pointer;
}

/* Projects */
.projects{
  margin-top: 100px;
}
.projects h2{
    font-family: var(--font-main);
    font-size: 2.5rem;
    text-align: center;
    color: var(--headtext-color);
}

.slider{
  width: 100%;
  aspect-ratio: 16 / 9;
  height: auto;
  margin: auto;
  margin-top: 20px;
  box-shadow: 0px 0px 8px var(--text-color);
  position: relative;
  overflow: hidden;
}

.slide{
  width: 100%;
  height: 100%;
  transition: 0.5s;
  position: absolute;
}

.project{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 80%;
  margin: auto;
  margin-bottom: 100px;
}

.project-slide{
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  width: 100%;
  margin: auto;
}
.project button{
  padding: 8px 8px;
  height: auto;
  border: none;
  font-size: 1rem;
  border-radius: 10px;
  color: var(--text-color);
  background-color: #cc66da;
  cursor: pointer;
}

.projects h5, 
.projects p{
    font-family: var(--font-main);
    font-size: 2rem;
    text-align: center;
    color: var(--text-color);
}
.projects p{
  font-size: 1.05rem;
}

/*  */

footer{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 150px;
}

footer {
  background:
    linear-gradient(to bottom, var(--gradient-primary), var(--gradient-start)),
    url(navback.png);
  background-size: cover;
  background-position: bottom;
  min-height: 300px;
  position: relative;
}

footer::before {
  content: "";
  position: absolute;
  inset: 0;
  background-color: var(--overlay-main);
}

footer * {
  position: relative;
}

.foot p:first-of-type{
  text-align: center;
  font-family: var(--font-main);
  font-size: 1.3rem;
  color: var(--text-color);
}

.foot-signin {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  margin: auto;
}

.foot-signin input {
  margin-top: 30px;
  border: 1px solid white;
  border-radius: 4px;
  font-family: var(--font-main);
  font-size: 1rem;
  padding: 25px;
  height: 20px;
  width: 30vw;
  color: var(--text-color);
  background-color: transparent;
}
.foot-signin input::placeholder {
  color: white;
  font-family: var(--font-main);
  font-size: 1.1rem;
  opacity: 0.6;
}

.end {
  margin-top: 30px;
  text-decoration: none;
  background-color: var(--base-color-variant);
  color: var(--text-color);
  font-family: var(--font-main);
  font-size: 1.5rem;
  padding: 7px 10px;
  border-radius: 4px;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
}

.foot-link{
  margin-top: 25px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}
.foot-link i{
    color: var(--base-color-variant);
    font-size: 2rem;
    transition: 0.3s ease;
}

.foot-link i:hover {
  filter: drop-shadow(0 0 2px #cc66da);
  transform: scale(1.1);
  cursor: pointer;
}

.foot p:last-of-type{
  margin-top: 50px;
  text-align: center;
  font-family: var(--font-main);
  font-size: 0.85rem;
  color: var(--text-color);
}

/* Responsiveness */

@media (min-width: 768px) {
  .navlogo {
    font-size: 50px;
  }
  
  .hero-sec {
    height: auto;
    padding: 100px 0;
  }
  
  .abt-icon i {
    font-size: 3rem; /* Smaller icons for smaller screens */
  }

  .about-me {
    flex-direction: row;
    align-items: center;
  }
  .abt-content {
    width: 50%;
  }
  .abt-content p{
    text-align: start;
  }
  footer{
    margin-top: 300px;
  }
}

@media (max-width: 480px) {
  .hero-sec h1 {
    font-size: 1.8rem;
  }
  
  .start {
    display: none; /* Hide nav button on tiny screens to save space */
  }
}